Bug 3473 - Missing Mailing List for public discussion
Missing Mailing List for public discussion
Status: CLOSED FIXED
Product: jbatch
Classification: Unclassified
Component: source
1
PC Linux
: P5 enhancement
: ---
Assigned To: cvignola
http://java.net/projects/jbatch/lists
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 10:00 UTC by picpromusic
Modified: 2013-01-16 17:52 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description picpromusic 2011-11-01 10:00:56 UTC
Im JCP 2.8 (http://jcp.org/en/procedures/jcp2) 1.1.1 Public Communications it is recommend to establish a instrument to enable public feedback. Is JSR352 using just the bug-tracker? Or should there be another public discussion(mailing-list)?

I think issues@jbatch.java.net is just for the issues from bugzilla(http://java.net/bugzilla). It would be nice to have an discussion-list like discuss@jbatch.java.net.
Comment 1 batmat 2011-11-01 18:58:30 UTC
+1. Please don't make the same as Stephen Colebourne described for the Project Lambda's JSR (http://blog.joda.org/2011/10/transparency-in-action.html).

As stated in the JSR http://jcp.org/en/jsr/detail?id=352 "We'll use a public mailing list for comments.". This one should be created quickly to enable an open feedback loop.

Thanks a lot.
Comment 2 picpromusic 2011-11-02 05:35:11 UTC
(In reply to comment #1)
> +1. Please don't make the same as Stephen Colebourne described for the Project
> Lambda's JSR (http://blog.joda.org/2011/10/transparency-in-action.html).
This wasn't my intention. Thanks for remebering me.
> 
> As stated in the JSR http://jcp.org/en/jsr/detail?id=352 "We'll use a public
> mailing list for comments.". This one should be created quickly to enable an
> open feedback loop.
That was my goal. Public feedback through an bug tracker doesn't feel like the right solution. Isn't it?
> 
> Thanks a lot.
Comment 3 cvignola 2011-11-28 14:17:56 UTC
Really sorry gang,  I'm new to the JSR process and I didn't realize bugzilla, mailing lists, etc were used to discuss and track issues with the JSR itself. I thought these things were only for the EG, when and if the JSR got approved. Shame on me, I guess I should have known better.  

I didn't have a subscription setup, so I didn't receive notification that any of your were posting things out here.  So, I'm late to the party, but now trying to make things right.  

My intention is to comply with the transparency rules described by JSR 348. I have to double-check those requirements.  I believe compliance will include a communication structure involving at least a public expert group mailing list and a writable public observer mailing list.  

I will update this bug to communicate resolution.  Thank you.
Comment 4 cvignola 2011-12-05 20:47:03 UTC
The statement about a private mailing list has been removed from the JSR. All JSR 352 Expert Group communication will be public, in keeping with JCP 2.8.  The exact details will be announced shortly, as the expert group formation completes.